#!/bin/bash

export CPATH=${MKLROOT}/include:$CPATH
export FCFLAGS_OPENMP="-fopenmp"
export FCFLAGS=' -extend-source -noaltparam -nofpscomp  -fopenmp'
env CC="mpicc -fopenmp -fPIC" CXX="mpiCC -fopenmp -fPIC"  F77="mpif90 -fopenmp -fPIC" F90="mpif90 -fopenmp -fPIC" FC="mpif90 -fopenmp -fPIC" ./configure --disable-debug --enable-mpi --disable-xml --with-linalg-flavor="mkl+scalapack" --with-linalg-libs="-L${MKLROOT}/lib/intel64 -lmkl_scalapack_lp64 -lmkl_blacs_openmpi_lp64 -mkl" --with-fft-flavor=fftw3  --with-fft-libs="-lfftw3xf_intel_pic -mkl" --with-dft-flavor="libxc+atompaw+wannier90" --enable-mpi-io --with-trio-flavor="netcdf"  --enable-gw-dpc="no" --with-tardir=/tmp/tardir --prefix=$HOME/ABINIT --enable-openmp --enable-optim

make -j 40
make install
